Index: trunk/NEMO/LIM_SRC_2/limthd_zdf_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 888)
@@ -4,7 +4,11 @@
    !!                thermodynamic growth and decay of the ice 
    !!======================================================================
+   !! History :  1.0  !  01-04 (LIM) Original code
+   !!            2.0  !  02-08 (C. Ethe, G. Madec) F90
+   !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   lim_thd_zdf_2 : vertical accr./abl. and lateral ablation of sea ice
@@ -22,18 +26,16 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_thd_zdf_2      ! called by lim_thd_2
-
-   !! * Module variables
-   REAL(wp)  ::           &  ! constant values
-      epsi20 = 1.e-20  ,  &
-      epsi13 = 1.e-13  ,  &
-      zzero  = 0.e0    ,  &
-      zone   = 1.e0
+   PUBLIC   lim_thd_zdf_2        ! called by lim_thd_2
+
+   REAL(wp) ::   epsi20 = 1.e-20  ,  &  ! constant values
+      &          epsi13 = 1.e-13  ,  &
+      &          zzero  = 0.e0    ,  &
+      &          zone   = 1.e0
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
 CONTAINS
 
@@ -64,23 +66,12 @@
       !!              - Performs lateral ablation
       !!
-      !! References :
-      !!   Fichefet T. and M. Maqueda 1997, J. Geophys. Res., 102(C6), 12609-12646   
-      !!   Fichefet T. and M. Maqueda 1999, Clim. Dyn, 15(4), 251-268  
+      !! References : Fichefet T. and M. Maqueda 1997, J. Geophys. Res., 102(C6), 12609-12646   
+      !!              Fichefet T. and M. Maqueda 1999, Clim. Dyn, 15(4), 251-268  
+      !!------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kideb    ! Start point on which the  the computation is applied
+      INTEGER, INTENT(in) ::   kiut     ! End point on which the  the computation is applied
       !!
-      !! History :
-      !!   original    : 01-04 (LIM)
-      !!   addition    : 02-08 (C. Ethe, G. Madec)
-      !!------------------------------------------------------------------
-      !! * Arguments
-      INTEGER , INTENT (in) ::  &
-         kideb ,  &  ! Start point on which the  the computation is applied
-         kiut        ! End point on which the  the computation is applied
-
-      !! * Local variables
       INTEGER ::   ji       ! dummy loop indices
-
-      REAL(wp) , DIMENSION(jpij,2) ::  &
-         zqcmlt        ! energy due to surface( /1 ) and bottom melting( /2 )
-
+      REAL(wp), DIMENSION(jpij,2) ::   zqcmlt        ! energy due to surface( /1 ) and bottom melting( /2 )
       REAL(wp), DIMENSION(jpij) ::  &
          ztsmlt      &    ! snow/ice surface melting temperature
@@ -97,6 +88,5 @@
          , zts_old   &    ! previous surface temperature
          , zidsn , z1midsn , zidsnic ! tempory variables
-
-      REAL(wp), DIMENSION(jpij) :: &
+      REAL(wp), DIMENSION(jpij) ::   &
           zfnet       &  ! net heat flux at the top surface( incl. conductive heat flux)
           , zsprecip  &    ! snow accumulation
@@ -109,5 +99,4 @@
           , zfrld_1d    &    ! new sea/ice fraction
           , zep            ! internal temperature of the 2nd layer of the snow/ice system
-
        REAL(wp), DIMENSION(3) :: & 
           zplediag  &    ! principle diagonal, subdiag. and supdiag. of the 
@@ -115,5 +104,4 @@
           , zsupdiag  &    ! of the temperatures inside the snow-ice system
           , zsmbr          ! second member
-
        REAL(wp) :: & 
           zhsu     &     ! thickness of surface layer
@@ -130,5 +118,4 @@
           , zb2 , zd2 , zb3 , zd3 &
           , ztint          ! equivalent temperature at the snow-ice interface
-
        REAL(wp) :: & 
           zexp      &     ! exponential function of the ice thickness
@@ -148,5 +135,4 @@
           , zdtic        &  ! ice internal temp. increment
           , zqnes          ! conductive energy due to ice melting in the first ice layer
-
        REAL(wp) :: & 
           ztbot     &      ! temperature at the bottom surface
@@ -162,5 +148,4 @@
           , zc1, zpc1, zc2, zpc2, zp1, zp2 & ! tempory variables
           , ztb2, ztb3
-
        REAL(wp) :: & 
           zdrmh         &   ! change in snow/ice thick. after snow-ice formation
@@ -181,5 +166,4 @@
        !     Computation of energies due to surface and bottom melting 
        !-----------------------------------------------------------------------
-       
        
        DO ji = kideb , kiut
@@ -201,5 +185,4 @@
        END DO
 
-
        !-------------------------------------------
        !  2. Calculate some intermediate variables.  
@@ -265,5 +248,4 @@
        !     - qstbif_1d, total energy stored in brine pockets (updating)
        !-------------------------------------------------------------------
-
 
        DO ji = kideb , kiut
@@ -288,5 +270,4 @@
        END DO
 
-
        !--------------------------------------------------------------------------------
        !  4. Computation of the surface temperature : determined by considering the 
@@ -333,6 +314,6 @@
           !---computation of the energy balance function 
           zfts    = - z1mi0 (ji) * qsr_ice_1d(ji)   & ! net absorbed solar radiation
-             &      - qnsr_ice_1d(ji)                & ! total non solar radiation
-             &      - zfcsu (ji)                  ! conductive heat flux from the surface
+             &      - qns_ice_1d(ji)                & ! total non solar radiation
+             &      - zfcsu (ji)                      ! conductive heat flux from the surface
           !---computation of surface temperature increment  
           zdts    = -zfts / zdfts
@@ -360,5 +341,5 @@
           sist_1d(ji) = MIN( ztsmlt(ji) , sist_1d(ji) )
 #if ! defined key_coupled
-          qnsr_ice_1d(ji) = qnsr_ice_1d(ji) + dqns_ice_1d(ji) * ( sist_1d(ji) - zts_old(ji) )
+          qns_ice_1d(ji) = qns_ice_1d(ji) + dqns_ice_1d(ji) * ( sist_1d(ji) - zts_old(ji) )
           qla_ice_1d (ji) = qla_ice_1d (ji) + dqla_ice_1d(ji) * ( sist_1d(ji) - zts_old(ji) )
 #endif
@@ -366,11 +347,9 @@
        END DO
 
-     
-
        !     5.2. Calculate available heat for surface ablation. 
        !---------------------------------------------------------------------
 
        DO ji = kideb, kiut
-          zfnet(ji) = qnsr_ice_1d(ji) + z1mi0(ji) * qsr_ice_1d(ji) + zfcsu(ji)          
+          zfnet(ji) = qns_ice_1d(ji) + z1mi0(ji) * qsr_ice_1d(ji) + zfcsu(ji)          
           zfnet(ji) = MAX( zzero , zfnet(ji) )
           zfnet(ji) = zfnet(ji) * MAX( zzero , SIGN( zone , sist_1d(ji) - ztsmlt(ji) ) )
@@ -730,18 +709,11 @@
           dvnbq_1d(ji) = ( 1.0 - frld_1d(ji) ) * ( zhicnew - h_ice_1d(ji) )
           dmgwi_1d(ji) = dmgwi_1d(ji) + ( 1.0 -frld_1d(ji) ) * ( h_snow_1d(ji) - zhsnnew ) * rhosn
-          !  case of natural freshwater flux
-#if defined key_lim_fdd  
-          rdmicif_1d(ji) = rdmicif_1d(ji) + ( 1.0 - frld_1d(ji) )   * ( zhicnew - h_ice_1d(ji) )  * rhoic
+          !---  volume change of ice and snow (used for ocean-ice freshwater flux computation)
+          rdmicif_1d(ji) = rdmicif_1d(ji) + ( 1.0 - frld_1d(ji) )   * ( zhicnew - h_ice_1d (ji) ) * rhoic
           rdmsnif_1d(ji) = rdmsnif_1d(ji) + ( 1.0 - frld_1d(ji) )   * ( zhsnnew - h_snow_1d(ji) ) * rhosn
 
-#else
-          rdmicif_1d(ji) = rdmicif_1d(ji) + ( 1.0 - frld_1d(ji) ) * (  ( zhicnew - h_ice_1d(ji) ) * rhoic   &
-             &                                                    + ( zhsnnew - h_snow_1d(ji) ) * rhosn )
-#endif
-
           !---  Actualize new snow and ice thickness.
-
           h_snow_1d(ji)  = zhsnnew
-          h_ice_1d(ji)  = zhicnew
+          h_ice_1d (ji)  = zhicnew
 
        END DO
@@ -799,16 +771,18 @@
           qstbif_1d(ji) = zdrfrl2 * qstbif_1d(ji)
           frld_1d(ji)    = zfrld_1d(ji)
-
-       END DO
-       
+          !
+       END DO
+       ! 
     END SUBROUTINE lim_thd_zdf_2
+
 #else
-   !!======================================================================
-   !!                       ***  MODULE limthd_zdf_2   ***
-   !!                              no sea ice model  
-   !!======================================================================
+   !!----------------------------------------------------------------------
+   !!   Default Option                                     NO sea-ice model
+   !!----------------------------------------------------------------------
 CONTAINS
    SUBROUTINE lim_thd_zdf_2          ! Empty routine
    END SUBROUTINE lim_thd_zdf_2
 #endif
- END MODULE limthd_zdf_2
+
+   !!======================================================================
+END MODULE limthd_zdf_2
Index: trunk/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 888)
@@ -30,5 +30,5 @@
 
    !! * Routine accessibility
-   PUBLIC lim_trp_2     ! called by ice_step_2
+   PUBLIC lim_trp_2     ! called by sbc_ice_lim_2
 
    !! * Shared module variables
@@ -48,5 +48,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -112,6 +112,6 @@
          DO jj = 1, jpjm1
             DO ji = 1, jpim1
-               zui_u(ji,jj) = ( u_ice(ji+1,jj  ) + u_ice(ji+1,jj+1) ) / ( MAX( tmu(ji+1,jj  ) + tmu(ji+1,jj+1), zvbord ) )
-               zvi_v(ji,jj) = ( v_ice(ji  ,jj+1) + v_ice(ji+1,jj+1) ) / ( MAX( tmu(ji  ,jj+1) + tmu(ji+1,jj+1), zvbord ) )
+               zui_u(ji,jj) = ( ui_ice(ji+1,jj  ) + ui_ice(ji+1,jj+1) ) / ( MAX( tmu(ji+1,jj  ) + tmu(ji+1,jj+1), zvbord ) )
+               zvi_v(ji,jj) = ( vi_ice(ji  ,jj+1) + vi_ice(ji+1,jj+1) ) / ( MAX( tmu(ji  ,jj+1) + tmu(ji+1,jj+1), zvbord ) )
             END DO
          END DO
@@ -128,5 +128,5 @@
          IF (lk_mpp ) CALL mpp_max(zcfl)
 
-         IF ( zcfl > 0.5 .AND. lwp )   WRITE(numout,*) 'lim_trp : violation of cfl criterion the ',nday,'th day, cfl = ',zcfl
+         IF ( zcfl > 0.5 .AND. lwp )   WRITE(numout,*) 'lim_trp_2 : violation of cfl criterion the ',nday,'th day, cfl = ',zcfl
 
          ! content of properties
Index: trunk/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limwri_2.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/limwri_2.F90	(revision 888)
@@ -9,5 +9,5 @@
 #if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_lim2'  i                                 LIM 2.0 sea-ice model
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
@@ -15,20 +15,22 @@
    !!   lim_wri_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
-   USE ioipsl
-   USE dianam    ! build name of file (routine)
    USE phycst
    USE dom_oce
    USE daymod
-   USE in_out_manager
    USE ice_oce         ! ice variables
-   USE flx_oce
+   USE sbc_oce
+   USE sbc_ice
    USE dom_ice_2
    USE ice_2
+
    USE lbclnk
+   USE dianam          ! build name of file (routine)
+   USE in_out_manager
+   USE ioipsl
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC   lim_wri_2        ! routine called by lim_step_2.F90
+   PUBLIC   lim_wri_2      ! routine called by sbc_ice_lim_2
 
    INTEGER, PARAMETER                       ::   jpnoumax = 40   ! maximum number of variable for ice output
@@ -49,7 +51,9 @@
       zone   = 1.e0
 
-   !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
+   !! * Substitutions
+#   include "vectopt_loop_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -79,5 +83,5 @@
       !!-------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
-
+      !!
       INTEGER  ::   ji, jj, jf                      ! dummy loop indices
       CHARACTER(len = 40)  ::   clhstnam, clop
@@ -90,5 +94,5 @@
 
       !                                          !--------------------!
-      IF ( kt == nit000 ) THEN                !   Initialisation   !
+      IF( kt == nit000 ) THEN                    !   Initialisation   !
          !                                       !--------------------!
          CALL lim_wri_init_2 
@@ -97,5 +101,5 @@
 !!Chris         clop     = "ave(only(x))"      !ibug  namelist parameter a ajouter
          clop     = "ave(x)"
-         zout     = nwrite * rdt_ice / nfice
+         zout     = nwrite * rdt_ice / nn_fsbc
          zsec     = 0.
          niter    = 0
@@ -110,9 +114,9 @@
          
          DO jf = 1, noumef
-            IF ( nc(jf) == 1 )   CALL histdef( nice, nam(jf), titn(jf), uni(jf), jpi, jpj   &
-                  &                                , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
+            IF( nc(jf) == 1 )   CALL histdef( nice, nam(jf), titn(jf), uni(jf), jpi, jpj   &
+               &                                  , nhorid, 1, 1, 1, -99, 32, clop, zsto, zout )
          END DO
          CALL histend( nice )
-         
+         !
       ENDIF
       !                                          !--------------------!
@@ -120,16 +124,9 @@
       !                                          !--------------------!
 
-!!gm  change the print below to have it only at output time step or when nitend =< 100
-      IF(lwp) THEN
-         WRITE(numout,*)
-         WRITE(numout,*) 'lim_wri_2 : write ice outputs in NetCDF files at time : ', nyear, nmonth, nday, kt + nfice - 1
-         WRITE(numout,*) '~~~~~~~~~ '
-      ENDIF
-
-      !-- calculs des valeurs instantanees
+      !-- Store instantaneous values in zcmo
       
       zcmo(:,:, 1:jpnoumax ) = 0.e0 
       DO jj = 2 , jpjm1
-         DO ji = 2 , jpim1
+         DO ji = fs_2 , fs_jpim1
             zindh  = MAX( zzero , SIGN( zone , hicif(ji,jj) * (1.0 - frld(ji,jj) ) - 0.10 ) )
             zinda  = MAX( zzero , SIGN( zone , ( 1.0 - frld(ji,jj) ) - 0.10 ) )
@@ -142,23 +139,22 @@
             zcmo(ji,jj,5)  = sist  (ji,jj)
             zcmo(ji,jj,6)  = fbif  (ji,jj)
-            zcmo(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                                      + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+            zcmo(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                                      + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                                   / ztmu 
 
-            zcmo(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                                      + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+            zcmo(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                                      + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                                   / ztmu
-            zcmo(ji,jj,9)  = sst_io(ji,jj)
-            zcmo(ji,jj,10) = sss_io(ji,jj)
-
-            zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-            zcmo(ji,jj,12) = fsolar (ji,jj)
-            zcmo(ji,jj,13) = fnsolar(ji,jj)
+            zcmo(ji,jj,9)  = sst_m(ji,jj)
+            zcmo(ji,jj,10) = sss_m(ji,jj)
+            zcmo(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+            zcmo(ji,jj,12) = qsr(ji,jj)
+            zcmo(ji,jj,13) = qns(ji,jj)
             ! See thersf for the coefficient
-            zcmo(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-            zcmo(ji,jj,15) = gtaux(ji,jj)
-            zcmo(ji,jj,16) = gtauy(ji,jj)
-            zcmo(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-            zcmo(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+            zcmo(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce    !!gm ???
+            zcmo(ji,jj,15) = utaui_ice(ji,jj)
+            zcmo(ji,jj,16) = vtaui_ice(ji,jj)
+            zcmo(ji,jj,17) = qsr_ice(ji,jj)
+            zcmo(ji,jj,18) = qns_ice(ji,jj)
             zcmo(ji,jj,19) = sprecip(ji,jj)
          END DO
@@ -175,5 +171,5 @@
          END DO
          
-         IF ( jf == 7  .OR. jf == 8  .OR. jf == 15 .OR. jf == 16 ) THEN 
+         IF( jf == 7  .OR. jf == 8  .OR. jf == 15 .OR. jf == 16 ) THEN
             CALL lbc_lnk( zfield, 'T', -1. )
          ELSE 
@@ -181,11 +177,9 @@
          ENDIF
          
-         IF ( nc(jf) == 1 ) CALL histwrite( nice, nam(jf), niter, zfield, ndim, ndex51 )
+         IF( nc(jf) == 1 )   CALL histwrite( nice, nam(jf), niter, zfield, ndim, ndex51 )
          
       END DO
       
-      IF ( ( nfice * niter + nit000 - 1 ) >= nitend ) THEN
-         CALL histclo( nice ) 
-      ENDIF
+      IF( ( nn_fsbc * niter + nit000 - 1 ) >= nitend )   CALL histclo( nice ) 
       !
    END SUBROUTINE lim_wri_2
@@ -225,24 +219,18 @@
          field_13, field_14, field_15, field_16, field_17, field_18,   &
          field_19
-!!gm      NAMELIST/namiceout/ noumef, &
-!!           zfield( 1), zfield( 2), zfield( 3), zfield( 4), zfield( 5),   &
-!!           zfield( 6), zfield( 7), zfield( 8), zfield( 9), zfield(10),   &
-!!           zfield(11), zfield(12), zfield(13), zfield(14), zfield(15),   &
-!!gm         zfield(16), zfield(17), zfield(18), zfield(19)
-      !!-------------------------------------------------------------------
-
-      ! Read Namelist namicewri
-      REWIND ( numnam_ice )
+      !!-------------------------------------------------------------------
+
+      REWIND ( numnam_ice )                ! Read Namelist namicewri
       READ   ( numnam_ice  , namiceout )
       
-      zfield(1)  = field_1
-      zfield(2)  = field_2
-      zfield(3)  = field_3
-      zfield(4)  = field_4
-      zfield(5)  = field_5
-      zfield(6)  = field_6
-      zfield(7)  = field_7
-      zfield(8)  = field_8
-      zfield(9)  = field_9
+      zfield( 1) = field_1
+      zfield( 2) = field_2
+      zfield( 3) = field_3
+      zfield( 4) = field_4
+      zfield( 5) = field_5
+      zfield( 6) = field_6
+      zfield( 7) = field_7
+      zfield( 8) = field_8
+      zfield( 9) = field_9
       zfield(10) = field_10
       zfield(11) = field_11
@@ -274,5 +262,5 @@
          DO nf = 1 , noumef         
             WRITE(numout,*) '   ', titn(nf), '   ', nam(nf),'      ', uni(nf),'  ', nc(nf),'        ', cmulti(nf),   &
-               '        ', cadd(nf)
+               &       '        ', cadd(nf)
          END DO
       ENDIF
Index: trunk/NEMO/LIM_SRC_2/limwri_dimg_2.h90
===================================================================
--- trunk/NEMO/LIM_SRC_2/limwri_dimg_2.h90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/limwri_dimg_2.h90	(revision 888)
@@ -2,5 +2,5 @@
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -82,5 +82,5 @@
 
        zsto     = rdt_ice
-       zout     = nwrite * rdt_ice / nfice
+       zout     = nwrite * rdt_ice / nn_fsbc
        zsec     = 0.
        niter    = 0
@@ -106,23 +106,23 @@
           zcmo(ji,jj,5)  = sist  (ji,jj)
           zcmo(ji,jj,6)  = fbif  (ji,jj)
-          zcmo(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-               + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+          zcmo(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+             &                      + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                / ztmu 
 
-          zcmo(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-               + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+          zcmo(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+             &                      + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                / ztmu
-          zcmo(ji,jj,9)  = sst_io(ji,jj)
-          zcmo(ji,jj,10) = sss_io(ji,jj)
-
-          zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-          zcmo(ji,jj,12) = fsolar (ji,jj)
-          zcmo(ji,jj,13) = fnsolar(ji,jj)
+          zcmo(ji,jj,9)  = sst_m(ji,jj)
+          zcmo(ji,jj,10) = sss_m(ji,jj)
+
+          zcmo(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+          zcmo(ji,jj,12) = qsr(ji,jj)
+          zcmo(ji,jj,13) = qns(ji,jj)
           ! See thersf for the coefficient
-          zcmo(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-          zcmo(ji,jj,15) = gtaux(ji,jj)
-          zcmo(ji,jj,16) = gtauy(ji,jj)
-          zcmo(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-          zcmo(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+          zcmo(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce
+          zcmo(ji,jj,15) = utaui_ice(ji,jj)
+          zcmo(ji,jj,16) = vtaui_ice(ji,jj)
+          zcmo(ji,jj,17) = qsr_ice(ji,jj)
+          zcmo(ji,jj,18) = qns_ice(ji,jj)
           zcmo(ji,jj,19) = sprecip(ji,jj)
        END DO
@@ -132,8 +132,8 @@
     nmoyice = nmoyice + 1 
     ! compute mean value if it is time to write on file
-    IF ( MOD(kt+nfice-1-nit000+1,nwrite) == 0 ) THEN
+    IF ( MOD(kt+nn_fsbc-1-nit000+1,nwrite) == 0 ) THEN
        rcmoy(:,:,:) = rcmoy(:,:,:) / FLOAT(nmoyice)
 #else  
-       IF ( MOD(kt-nfice-1-nit000+1,nwrite) == 0 ) THEN 
+       IF ( MOD(kt-nn_fsbc-1-nit000+1,nwrite) == 0 ) THEN 
           !  case of instantaneaous output rcmoy(:,:, 1:jpnoumax ) = 0.e0
           DO jj = 2 , jpjm1
@@ -149,23 +149,23 @@
                 rcmoy(ji,jj,5)  = sist  (ji,jj)
                 rcmoy(ji,jj,6)  = fbif  (ji,jj)
-                rcmoy(ji,jj,7)  = zindb * (  u_ice(ji,jj  ) * tmu(ji,jj  ) + u_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                     + u_ice(ji,jj+1) * tmu(ji,jj+1) + u_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+                rcmoy(ji,jj,7)  = zindb * (  ui_ice(ji,jj  ) * tmu(ji,jj  ) + ui_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                   &                       + ui_ice(ji,jj+1) * tmu(ji,jj+1) + ui_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                      / ztmu
 
-                rcmoy(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmu(ji,jj  ) + v_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
-                     + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
+                rcmoy(ji,jj,8)  = zindb * (  vi_ice(ji,jj  ) * tmu(ji,jj  ) + vi_ice(ji+1,jj  ) * tmu(ji+1,jj  )   &
+                   &                       + vi_ice(ji,jj+1) * tmu(ji,jj+1) + vi_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                      / ztmu
-                rcmoy(ji,jj,9)  = sst_io(ji,jj)
-                rcmoy(ji,jj,10) = sss_io(ji,jj)
-
-                rcmoy(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-                rcmoy(ji,jj,12) = fsolar (ji,jj)
-                rcmoy(ji,jj,13) = fnsolar(ji,jj)
+                rcmoy(ji,jj,9)  = sst_m(ji,jj)
+                rcmoy(ji,jj,10) = sss_m(ji,jj)
+
+                rcmoy(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+                rcmoy(ji,jj,12) = qsr(ji,jj)
+                rcmoy(ji,jj,13) = qns(ji,jj)
                 ! See thersf for the coefficient
-                rcmoy(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-                rcmoy(ji,jj,15) = gtaux(ji,jj)
-                rcmoy(ji,jj,16) = gtauy(ji,jj)
-                rcmoy(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-                rcmoy(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+                rcmoy(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce
+                rcmoy(ji,jj,15) = utaui_ice(ji,jj)
+                rcmoy(ji,jj,16) = vtaui_ice(ji,jj)
+                rcmoy(ji,jj,17) = qsr_ice(ji,jj)
+                rcmoy(ji,jj,18) = qns_ice(ji,jj)
                 rcmoy(ji,jj,19) = sprecip(ji,jj)
              END DO
@@ -201,5 +201,5 @@
           rcmoy(:,:,:) = 0.0
           nmoyice = 0 
-       END IF     !  MOD(kt+nfice-1-nit000+1, nwrite == 0 ) !
+       END IF     !  MOD(kt+nn_fsbc-1-nit000+1, nwrite == 0 ) !
 
      END SUBROUTINE lim_wri_2
Index: trunk/NEMO/LIM_SRC_2/par_ice_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/par_ice_2.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/par_ice_2.F90	(revision 888)
@@ -7,5 +7,5 @@
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
Index: trunk/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- trunk/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 888)
@@ -9,5 +9,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header$
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -57,5 +57,5 @@
       fr1_i0_1d   ,     &  !:    "                  "      fr1_i0
       fr2_i0_1d   ,     &  !:    "                  "      fr2_i0
-      qnsr_ice_1d ,     &  !:    "                  "      qns_ice
+      qns_ice_1d  ,     &  !:    "                  "      qns_ice
       qfvbq_1d    ,     &  !:    "                  "      qfvbq
       sist_1d     ,     &  !:    "                  "      sist
Index: trunk/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/ice.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/ice.F90	(revision 888)
@@ -9,5 +9,5 @@
    !!----------------------------------------------------------------------
    !!  LIM 3.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/ice.F90,v 1.4 2005/03/27 18:34:41 opalod Exp $
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -493,7 +493,5 @@
       diag_bot_me,                           & ! vertical bottom melt 
       diag_sur_me                              ! vertical surface melt
-   INTEGER , PUBLIC ::   &                      !: indexes of the debugging
-      jiindex,           &                      !  point
-      jjindex
+   INTEGER , PUBLIC ::   jiindx, jjindx        !: indexes of the debugging point
 
 #else
Index: trunk/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/iceini.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/iceini.F90	(revision 888)
@@ -13,5 +13,6 @@
    USE in_out_manager
    USE ice_oce         ! ice variables
-   USE flx_oce
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE phycst          ! Define parameters for the routines
    USE ocfzpt
@@ -50,5 +51,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/iceini.F90,v 1.4 2005/03/27 18:34:41 opalod Exp $ 
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -74,9 +75,9 @@
       ! Louvain la Neuve Ice model
       IF( nacc == 1 ) THEN
-          dtsd2   = nfice * rdtmin * 0.5
-          rdt_ice = nfice * rdtmin
+          dtsd2   = nn_fsbc * rdtmin * 0.5
+          rdt_ice = nn_fsbc * rdtmin
       ELSE
-          dtsd2   = nfice * rdt * 0.5
-          rdt_ice = nfice * rdt
+          dtsd2   = nn_fsbc * rdt * 0.5
+          rdt_ice = nn_fsbc * rdt
       ENDIF
 
@@ -104,8 +105,9 @@
       freeze(:,:) = at_i(:,:)   ! initialisation of sea/ice cover    
 # if defined key_coupled
-      alb_ice(:,:) = albege(:,:)      ! sea-ice albedo
+      Must be adpated to LIM3 
+      alb_ice(:,:,:) = albege(:,:)      ! sea-ice albedo
 # endif
       
-      nstart = numit  + nfice      
+      nstart = numit  + nn_fsbc      
       nitrun = nitend - nit000 + 1 
       nlast  = numit  + nitrun 
@@ -188,5 +190,5 @@
 
        WRITE(numout,*) 'lim_itd_ini : Initialization of ice thickness distribution '
-       WRITE(numout,*) '~~~~~~~~~~~~~~~'
+       WRITE(numout,*) '~~~~~~~~~~~~'
 
 !!-- End of declarations
Index: trunk/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limadv.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limadv.F90	(revision 888)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limadv.F90,v 1.4 2005/03/27 18:34:41 opalod Exp $ 
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
